-#
  Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012 Heiko Bernloehr (FreeIT.de).
  
  This file is part of ECS.
  
  ECS is free software: you can redistribute it and/or modify it
  under the terms of the GNU Affero General Public License as
  published by the Free Software Foundation, either version 3 of
  the License, or (at your option) any later version.
  
  ECS is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Affero General Public License for more details.
  
  You should have received a copy of the GNU Affero General Public
  License along with ECS. If not, see <http://www.gnu.org/licenses/>.


%h1.box1 Show Participant

%p
  = link_to 'Edit', edit_admin_participant_path(:id => @participant)
  |
  = link_to 'Back', admin_participants_path

.normal-skip
  %span.box5
    %label.box4.table-resource-label(for="participant_name") Name:
    = @participant.name

- unless @participant.dns.blank?
  .small-skip
    %span.box5
      %label.box4.table-resource-label(for="participant_dns") DNS:
      = @participant.dns

- unless @participant.email.blank?
  .small-skip
    %span.box5
      %label.box4.table-resource-label(for="participant_email") Email:
      = @participant.email

.small-skip
  %span.box5
    %label.box4.table-resource-label Community Selfrouting:
    // = check_box_tag "participant[community_selfrouting]",1,@participant.community_selfrouting, :disabled => true
    = @participant.community_selfrouting.to_s

.small-skip
  %span.box5
    %label.box4.table-resource-label Events:
    // = check_box_tag "participant[community_selfrouting]",1,@participant.community_selfrouting, :disabled => true
    = @participant.events?.to_s

- unless @participant.description.blank?
  %p
    .formular-input-width.table-border
      .table-header
        %label.table-resource-label Description (optional):
      = @participant.description.gsub(/\r\n/, '<BR>')

- unless @participant.identities.blank?
  %p
    .show-output-width.table-border
      .table-header
        %label.table-resource-label Identities:
    
      %table.list(width="100%")
        %tr(align="left")
          %th ID:
          %th Description:
        - @participant.identities.each do |ident|
          %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
            %td= ident.name
            %td= h(ident.description).gsub(/\r\n/, '<BR>')

- unless @participant.communities.blank?
  %p
    .show-output-width.table-border
      .table-header
        %label.table-resource-label Communities:
    
      %table.list(width="100%")
        %tr(align="left")
          %th Name:
          %th Description:
          %th(align="right") mid:
        - @participant.communities.each do |comm|
          %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
            %td= link_to h(comm.name), admin_community_path(comm)
            %td= h(comm.description).gsub(/\r\n/, '<BR>')
            %td(align="right")= Membership.for_participant_id_and_community_id(@participant.id, comm.id)[0].id.to_s

%p
  = link_to 'Edit', edit_admin_participant_path(:id => @participant)
  | 
  = link_to 'Back', admin_participants_path


- eventsm = 10
- events_count = Event.for_participant(@participant,-1).distinct.count
- if events_count < eventsm or events_count < 5
  - events_first = Event.for_participant(@participant,-1).distinct
-else
  - events_first = Event.for_participant(@participant,-1).distinct.limit(eventsm/2)
  - events_last = Event.for_participant(@participant,-1).distinct.limit(eventsm/2).offset(events_count-(eventsm/2))
  - events_diff = events_last - events_first
- unless events_first.blank?
  %p
    .show-output-width.table-border
      .table-header
        - if events_count > 0 then
          %label.table-resource-label Unprocessed Events (total number: #{events_count}):
        - else
          %label.table-resource-label Unprocessed Events:

      %table.list(width="100%")
        %tr(align="left")
          %th Id:
          %th Message-Id:
          %th Event-Type:
          %th Date:
        - events_first.each do |event|
          %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
            %td= event.id
            %td= event.message.id
            %td= event.ev_type.name
            %td= event.updated_at
        - unless events_diff.blank?
          - if events_count > 2*(eventsm/2)
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= "..."
              %td= "..."
              %td= "..."
              %td= "..."
          - events_last.each do |event|
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= event.id
              %td= event.message.id
              %td= event.ev_type.name
              %td= event.updated_at


- msgsm = 10
- messages_count = Message.for_participant_receiver(@participant).for_not_removed.distinct.count
- if messages_count < msgsm or messages_count < 5
  - messages_first = Message.for_participant_receiver(@participant).for_not_removed.distinct
-else
  - messages_first = Message.for_participant_receiver(@participant).for_not_removed.distinct.limit(msgsm/2)
  - messages_last = Message.for_participant_receiver(@participant).for_not_removed.distinct.limit(msgsm/2).offset(messages_count-(msgsm/2))
  - messages_diff = messages_last - messages_first
- unless messages_first.blank?
  %p
    .show-output-width.table-border
      .table-header
        - if messages_count > 0 then
          %label.table-resource-label Received Messages (total number: #{messages_count}):
        - else
          %label.table-resource-label Received Messages:

      %table.list(width="100%")
        %tr(align="left")
          %th Id:
          %th Resource:
          %th Content-Type:
          %th Date:
        - messages_first.each do |msg|
          %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
            %td= msg.id
            %td= msg.ressource.namespace+'/'+msg.ressource.ressource
            %td= msg.content_type
            %td= msg.created_at
        - unless messages_diff.blank?
          - if messages_count > 2*(msgsm/2)
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= "..."
              %td= "..."
              %td= "..."
              %td= "..."
          - messages_last.each do |msg|
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= msg.id
              %td= msg.ressource.namespace+'/'+msg.ressource.ressource
              %td= msg.content_type
              %td= msg.created_at


- msgsm = 10
- messages_count = Message.for_participant_sender(@participant).for_not_removed.distinct.count
- if messages_count < msgsm or messages_count < 5
  - messages_first = Message.for_participant_sender(@participant).for_not_removed.distinct
-else
  - messages_first = Message.for_participant_sender(@participant).for_not_removed.distinct.limit(msgsm/2)
  - messages_last = Message.for_participant_sender(@participant).for_not_removed.distinct.limit(msgsm/2).offset(messages_count-(msgsm/2))
  - messages_diff = messages_last - messages_first
- unless messages_first.blank?
  %p
    .show-output-width.table-border
      .table-header
        - if messages_count > 0 then
          %label.table-resource-label Sent Messages (total number: #{messages_count}):
        - else
          %label.table-resource-label Sent Messages:

      %table.list(width="100%")
        %tr(align="left")
          %th Id:
          %th Resource:
          %th Content-Type:
          %th Date:
        - messages_first.each do |msg|
          %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
            %td= msg.id
            %td= msg.ressource.namespace+'/'+msg.ressource.ressource
            %td= msg.content_type
            %td= msg.created_at
        - unless messages_diff.blank?
          - if messages_count > 2*(msgsm/2)
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= "..."
              %td= "..."
              %td= "..."
              %td= "..."
          - messages_last.each do |msg|
            %tr{:class => [cycle('list-line-odd', 'list-line-even')]}
              %td= msg.id
              %td= msg.ressource.namespace+'/'+msg.ressource.ressource
              %td= msg.content_type
              %td= msg.created_at

